rte_debug.h(3)

NAME
rte_debug.h

SYNOPSIS

#include 'rte_log.h'
#include 'rte_branch_prediction.h'

  Macros

#define rte_panic(...)

  Functions

void rte_dump_stack (void)

Detailed Description

Debug Functions in RTE

This file defines a generic API for debug operations. Part of the implementation is architecture-specific.

Definition in file rte_debug.h.

Macro Definition Documentation

  #define rte_panic( ...)
Value:
rte_panic_(__func__, __VA_ARGS__, "dummy")

Provide notification of a critical non-recoverable error and terminate execution abnormally.

Display the format string and its expanded arguments (printf-like).

In a linux environment, this function dumps the stack and calls abort() resulting in a core dump if enabled.

The function never returns.

Parameters
    ... The format string, followed by the variable list of arguments.

Definition at line 43 of file rte_debug.h.

Function Documentation

  void rte_dump_stack (void )
Dump the stack of the calling core to the standard error.

Author

Generated automatically by Doxygen for DPDK from the source code.